> For the complete documentation index, see [llms.txt](https://docs.fuspay.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuspay.us/collection-and-payout/transaction-history/get-transaction-records.md).

# Get Transaction Records

### Get Wallet History

You can use this endpoint to make two types of query

* Query a single transaction: To know more about a transaction status, you can use the **"search\_partner\_order\_ref"** to query the transaction. If you are using this key, ignore the start and end data parameters
* Query using date range: If you want to see all the history of activities on your wallet between a date range use the "start\_date" & "end\_date". While using this key, ignore the **search\_partner\_order\_ref**

## This endpoint is used to query wallet history or a transaction status history&#x20;

<mark style="color:green;">`POST`</mark> `https://exchanger-api.fuspay.finance/api/v1/no-auth/PartnerP2P/GetWalletHistory/`

If

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer pk\_partner\_xxx |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json        |

#### Request Body

| Name                                          | Type   | Description                                                                                                                                                                                      |
| --------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| partner\_id<mark style="color:red;">\*</mark> | String | This is the partner\_id on IPC e.g p123456                                                                                                                                                       |
| start\_date                                   | String | Start date of transaction history you want to query                                                                                                                                              |
| end\_date                                     | String | End date of transaction history you want to query                                                                                                                                                |
| signature<mark style="color:red;">\*</mark>   | String | Signed Hash of payload                                                                                                                                                                           |
| search\_partner\_order\_ref                   | String | This is the order\_ref in your system. e.g Ref:12345. If this field is NULL then the date parameters is used and a URL will be returned to get wallet history of the specified start & end date. |

{% tabs %}
{% tab title="200: OK successful response" %}

```javascript
{
success:true,
message:string,
data:{
    account_name:''}
}
```

{% endtab %}

{% tab title="400: Bad Request Error " %}

```javascript
{error:true, data:null}
```

{% endtab %}
{% endtabs %}

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | 5rgJ3BfaIM83 |
| Content-Type<mark style="color:red;">\*</mark>  | String | w8v9pXIPaOmZ |

#### Request Body

| Name                                          | Type   | Description  |
| --------------------------------------------- | ------ | ------------ |
| partner\_id<mark style="color:red;">\*</mark> | String | eUdpZQKnF8vi |
| start\_date                                   | String | ysGn3uTZHROk |
| end\_date                                     | String | ZE1xvZFDjYNb |
| signature<mark style="color:red;">\*</mark>   | String | JzFeXb60EnPL |
| search\_partner\_order\_ref                   | String | hVAWGgT0bAMx |

{% tabs %}
{% tab title="Payload" %}

```json
// Payload Sample to query using date parameters

{
	"partner_id": "p123456",
	"intrapay_merchant_id": "intrapay_merchant_123456",
	"start_date": "2023-12-1",
	"end_date": "2023-12-31",
	"search_partner_order_ref": "", // leave order ref empty
	"signature": "e.g Signature here"
}

//Payload Sample to query for a single transaction 

{
	"partner_id": "p123456",
	"intrapay_merchant_id": "intrapay_merchant_123456",
	"start_date": "",  // ignore start date
	"end_date": "", //ignore end date
	"search_partner_order_ref": "ref2587",
	"signature": "e.g Signature here"
}
```

{% endtab %}

{% tab title="Response" %}

```json
//Payload Sample using date parameters query 

{
	"success": true,
	"message": "Fetch Wallet History",
	"data": {
		"data": null
		},
		"download_url": "https://sampledownload.link" //this URL will download a CVS sheet to see all data.
	}
}





//Response Sample for a single transaction query 

{
	"success": true,
	"message": "Fetch Wallet History",
	"data": {
		"data": [
			{
				"amount": 200000,
				"reference": "2587",
				"narration": "P2P_TXN_NAIRA_CLAIMED",
				"currency": "NGN",
				"created_at": "2023-12-15T12:34:50.000Z",
				"type": "CREDIT"
			}
		],
		"download_url": null
	}
}



```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuspay.us/collection-and-payout/transaction-history/get-transaction-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
